#include "WimaVehicle.h"



WimaVehicle::WimaVehicle(QObject *parent):
    QObject                 (parent)
    ,_vehicle               (nullptr)
    ,_serviceArea           (nullptr)
    ,_vehicleCorridor       (nullptr)
    ,_operationArea         (nullptr)
{

}

void WimaVehicle::setVehicle(Vehicle *vehicle)
{
    if(vehicle != nullptr){
        _vehicle = vehicle;
    }else {
        qWarning("Not a valid vehicle!");
    }
}

void WimaVehicle::setServiceArea(WimaServiceArea *servicePolygon)
{
    if(servicePolygon != nullptr){
        _serviceArea = servicePolygon;
    }else{
        qWarning("Not a valid service Polygon!");
    }
}

void WimaVehicle::setVCorridor(WimaVCorridor *vehicleCorridor)
{
    if(vehicleCorridor != nullptr){
        _vehicleCorridor = vehicleCorridor;
    }else{
        qWarning("Not a valid vehicle Corridor!");
    }
}

void WimaVehicle::setOperationArea(WimaGOperationArea *operationArea)
{
    if(operationArea != nullptr){
        _operationArea = operationArea;
    }else{
        qWarning("Not a valid measurementPolygon!");
    }
}
